<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout}"
>
<head>
  <meta charset="UTF-8"/>
  <title>Test</title>

  <script>
    function updateCountdown() {
      var hoursElement = document.getElementById('hours');
      var minutesElement = document.getElementById('minutes');
      var secondsElement = document.getElementById('seconds');

      var hours = parseInt(hoursElement.textContent);
      var minutes = parseInt(minutesElement.textContent);
      var seconds = parseInt(secondsElement.textContent);

      if (seconds > 0) {
        seconds--;
      } else {
        if (minutes > 0) {
          minutes--;
          seconds = 59;
        } else {
          if (hours > 0) {
            hours--;
            minutes = 59;
            seconds = 59;
          } else {
            // Countdown selesai, redirect ke /test/finish
            window.location.href = '/test/finish_timer';
            return;
          }
        }
      }

      // Perbarui warna menjadi merah jika waktu kurang dari 5 menit
      if (hours === 0 && minutes <= 5) {
        hoursElement.style.color = 'red';
        minutesElement.style.color = 'red';
        secondsElement.style.color = 'red';
      }

      hoursElement.textContent = hours;
      minutesElement.textContent = minutes;
      secondsElement.textContent = seconds;
    }

    setInterval(updateCountdown, 1000);
  </script>

<!--  <script>-->
<!--    function confirmFinish(event) {-->
<!--      event.preventDefault(); // Mencegah aksi bawaan dari tautan-->

<!--      var confirmation = confirm("Are you sure you want to finish the test?");-->
<!--      if (confirmation) {-->
<!--        window.location.href = '/test/finish'; // Redirect jika dikonfirmasi-->
<!--      }-->
<!--    }-->
<!--  </script>-->
</head>
<body>
<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
  <div th:include="sidebar_test::sidebar_test" th:remove="tag">
    sidebar
  </div>

  <main class="bd-main-xxl">
    <div class="row">
<!--      <div class="col-md-6">-->
        <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
          Toefl Test
        </div>
<!--      </div>-->
    </div>
    <div class="row mb-3">
      <div class="col-md-12">
        <div class="shadow-sm p-3 text-center border">
          <h3>
            Time remaining:
            <span id="hours" th:text="${hours}"></span>:
            <span id="minutes" th:text="${minutes}"></span>:
            <span id="seconds" th:text="${seconds}"></span>
          </h3>
        </div>
      </div>
    </div>

    <div class="alert alert-danger" role="alert" th:if="${minutes <= 25 && minutes > 20 && hours == 0}">
      <span th:text="${'Waktu mengerjakan soal Reading akan selesai dalam waktu kurang dari 5 menit lagi'}"></span>
      <p>Segera kerjakan soal Structure</p>
    </div>

    <div class="alert alert-danger" role="alert" th:if="${minutes <= 20 && hours == 0}">
      <span th:text="${'Waktu mengerjakan soal Reading telah selesai'}"></span>
      <p>Segera kerjakan soal Structure</p>
    </div>

    <div class="alert alert-danger" role="alert" th:if="${error != null}" th:text="${error}">
      A simple danger alert—check it out!
    </div>

    <div th:if="${soalTest.getNomor() == 1}" class="row mb-3">
      <div class="col-md-12">
        <div class="shadow-sm border p-4">
          <p>
            This section is designed to measure your ability to read and understand short passages similar in topic and style to those that students are likely to encounter in North American universities and colleges. This section contains reading passages and questions about the passages.
          </p>
          <p>
            Directions: In this section you will read several passages. Each one is followed by a number of question about it. You are to choose the one best answer; (A), (B), (C), and (D), to each question. Then, on your answer sheet, find the number of the question and fill in the space that corresponds to the letter of the answer you have chosen.
          </p>
          <p>
            Answer all questions about the information in a passage on the basis of what is stated or implied in that passage.
          </p>
          <p>
            Read the following passages:
          </p>
          <p>
            John Quincy Adams, who served as the sixth president of the United States from 1825 to 1829, is today recognized for his masterful statesmanship and diplomacy. He dedicated his life to public service, both in the presidency and in the various other pilitical offices that he held. Throughout his political career he demonstrated his unswerving belief in freedom of speech, the antislavery cause, and the right of Americans to be free from European and Asian domination
          </p>
          <p>
            <b>Example I</b>
          </p>
          <p>
            To what did John Quincy Adams devote his life?
          </p>
          <p>
            <span>(A) Improving his personal life</span>
            <br>
            <span>(B) Serving the public</span>
            <br>
            <span>(C) Increasing his fortune</span>
            <br>
            <span>(D) Working on his private business</span>
          </p>
          <p>
            According to the passage, John Quincy Adams “dedicated his life to public service.” Therefore, you should choose answer (B).
          </p>
          <p>
            <b>Example II</b>
          </p>
          <p>
            In line 7 (in bold), the word “unswerving” is closest  meaning to
          </p>
          <p>
            <span>(A) Moveable</span>
            <br>
            <span>(B) Insignificant</span>
            <br>
            <span>(C) Unchanging</span>
            <br>
            <span>(D) Diplomatic</span>
          </p>
          <p>
            The passage states that John Quincy Adams demonstrated his unswerving belief “throughout his career.” This implies that the belief did not change. Therefore, you should choose answer (C).
          </p>
        </div>
      </div>
    </div>


    <div class="row">
      <div class="col-md-12">
        <form method="post" th:if="${soalTest.getNomor() < countSoal}" th:action="@{/test/answer(soalTest=${soalTest.getId()})}" th:object="${soalTest}">

<!--          <input type="hidden" name="soal" th:field="*{soal}">-->
<!--          <input type="hidden" name="user" th:field="*{user}">-->
<!--          <input type="hidden" name="id" th:field="*{id}">-->
        <div class="card">
          <div class="card-header p-4">
            <p th:if="${soalTest.getSoal().getDeskripsiSoal() != null}" th:utext="${soalTest.getSoal().getDeskripsiSoal().getDeskripsi()}"></p>
          </div>
          <div class="card-body p-4">
            <div class="row">
              <div class="col-md-12">
                <div class="row">
                  <div class="col-md-12">
                    <div class="shadow-sm p-2 text-center border">
                      <span th:text="${'('+ soalTest.getNomor() + ')' + ' ' + soalTest.soal.getJenis()}"></span>
                    </div>
                  </div>
                </div>
                <p th:utext="${soalTest.getSoal().getPertanyaan()}"></p>
              </div>
            </div>

            <div class="row">
              <div class="col-md-12">

                <table class="table table-striped">
                  <tbody>
                  <tr>
                    <td style="width: 10px">
                      <input class="form-check-input" type="radio" th:field="*{jawaban}" name="jawaban" value="A">
                    </td>
                    <td style="width: 10px">A.</td>
                    <td th:utext="${soalTest.getSoal().getPilihanA()}"></td>
                  </tr>
                  <tr>
                    <td style="width: 10px">
                      <input class="form-check-input" type="radio" th:field="*{jawaban}" name="jawaban" value="B">
                    </td>
                    <td style="width: 10px">B.</td>
                    <td th:utext="${soalTest.getSoal().getPilihanB()}"></td>
                  </tr>
                  <tr>
                    <td style="width: 10px">
                      <input class="form-check-input" type="radio" th:field="*{jawaban}"  name="jawaban" value="C">
                    </td>
                    <td style="width: 10px">C.</td>
                    <td th:utext="${soalTest.getSoal().getPilihanC()}"></td>
                  </tr>
                  <tr>
                    <td style="width: 10px">
                      <input class="form-check-input" type="radio" th:field="*{jawaban}"  name="jawaban" value="D">
                    </td>
                    <td style="width: 10px">D.</td>
                    <td th:utext="${soalTest.getSoal().getPilihanD()}"></td>
                  </tr>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
          <div class="card-footer p-4">
            <div class="row">
              <div class="col-md-6 text-start">
                <button class="btn btn-primary" type="submit">Next</button>
              </div>
              <div class="col-md-6 text-end">
<!--                <a th:if="${soalTest.getNomor() == countSoal}" class="btn btn-success" onclick="confirmFinish(event)" th:href="@{#}" type="submit">Finish</a>-->
              </div>
            </div>
          </div>
        </div>
        </form>




        <form method="post" th:if="${soalTest.getNomor() == countSoal}" th:action="@{/test/answer_finish(soalTest=${soalTest.getId()})}" th:object="${soalTest}">

          <!--          <input type="hidden" name="soal" th:field="*{soal}">-->
          <!--          <input type="hidden" name="user" th:field="*{user}">-->
          <!--          <input type="hidden" name="id" th:field="*{id}">-->
          <div class="card">
            <div class="card-header">
              <p th:if="${soalTest.getSoal().getDeskripsiSoal() != null}" th:utext="${soalTest.getSoal().getDeskripsiSoal().getDeskripsi()}"></p>
            </div>
            <div class="card-body">
              <div class="row">
                <div class="col-md-12">
                  <div class="row">
                    <div class="col-md-12">
                      <div class="shadow-sm p-2 text-center border">
                        <span th:text="${'('+ soalTest.getNomor() + ')' + ' ' + soalTest.soal.getJenis()}"></span>
                      </div>
                    </div>
                  </div>
                  <p th:utext="${soalTest.getSoal().getPertanyaan()}"></p>
                </div>
              </div>

              <div class="row">
                <div class="col-md-12">

                  <table class="table table-striped">
                    <tbody>
                    <tr>
                      <td style="width: 10px">
                        <input class="form-check-input" type="radio" th:field="*{jawaban}" name="jawaban" value="A">
                      </td>
                      <td style="width: 10px">A.</td>
                      <td th:utext="${soalTest.getSoal().getPilihanA()}"></td>
                    </tr>
                    <tr>
                      <td style="width: 10px">
                        <input class="form-check-input" type="radio" th:field="*{jawaban}" name="jawaban" value="B">
                      </td>
                      <td style="width: 10px">B.</td>
                      <td th:utext="${soalTest.getSoal().getPilihanB()}"></td>
                    </tr>
                    <tr>
                      <td style="width: 10px">
                        <input class="form-check-input" type="radio" th:field="*{jawaban}"  name="jawaban" value="C">
                      </td>
                      <td style="width: 10px">C.</td>
                      <td th:utext="${soalTest.getSoal().getPilihanC()}"></td>
                    </tr>
                    <tr>
                      <td style="width: 10px">
                        <input class="form-check-input" type="radio" th:field="*{jawaban}"  name="jawaban" value="D">
                      </td>
                      <td style="width: 10px">D.</td>
                      <td th:utext="${soalTest.getSoal().getPilihanD()}"></td>
                    </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
            <div class="card-footer">
              <div class="row">
                <div class="col-md-6 text-start">
                  <button class="btn btn-success" type="submit" onclick="return confirm('Are you sure want to finish this test?')">Finish</button>
                </div>
                <div class="col-md-6 text-end">
                  <!--                <a th:if="${soalTest.getNomor() == countSoal}" class="btn btn-success" onclick="confirmFinish(event)" th:href="@{#}" type="submit">Finish</a>-->
                </div>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>
  </main>
</main>
</body>
</html>
<script src="https://cdn.tiny.cloud/1/qk3tz8w8mytgvy0klzrguddz16pi51qyei0bqezj6axfkmjj/tinymce/6/tinymce.min.js"
        referrerpolicy="origin"></script>
<script>
  tinymce.init({
    selector: '.myTiny',
    statusbar: false,
  });
</script>
<script>
  setInterval(function() {
    window.location.href = '/test/start';
  }, 300000);
</script>